Subject: RE: bug#15746: 24.3; [PATCH] bookmark should confirm when overwrite

From: Drew Adams <[email-masked]>
Date: Tue, 29 Oct 2013 19:26:27 -0700 (PDT)

> I would probably also change the `user-error' behavior along the
> lines Drew suggested.

Uh, I did not suggest any change wrt the use of `user-error', here.
Unfortunately, it is the appropriate type of error to use in this case.

There has been abundant discussion of `user-error' in other threads.
Its meaning is not a user error.  The meaning is any error except a
coding error, i.e., except something that the code never expects to
happen.  That's OK as a category, perhaps, but it should not have the
name "user-error".  But it does, and we live with it.

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11999#35
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15670#11